## org.apache.mahout.cf.taste.impl.common
Interface RunningAverageAndStdDev

All Superinterfaces:
  RunningAverage

All Known Implementing Classes:
  FixedRunningAverageAndStdDev, FullRunningAverageAndStdDev, InvertedRunningAverageAndStdDev, WeightedRunningAverageAndStdDev

    public interface RunningAverageAndStdDev

extends RunningAverage

Extends `RunningAverage` by adding standard deviation too.

Method Summary
`double` `getStandardDeviation()`
`RunningAverageAndStdDev` `inverse()`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.RunningAverage
`addDatum, changeDatum, getAverage, getCount, removeDatum`

Method Detail

### getStandardDeviation

    double getStandardDeviation()

  Returns:
    standard deviation of data

### inverse

    RunningAverageAndStdDev inverse()

  Specified by:
    `inverse` in interface `RunningAverage`
  Returns:
    a (possibly immutable) object whose average is the negative of this object's

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.